Bug 241379 - Add System z compatibility section
Add System z compatibility section
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: releng (Show other bugs)
5.0
s390 Linux
medium Severity medium
: beta
: ---
Assigned To: Dennis Gregorovic
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-25 11:41 EDT by Brad Hinson
Modified: 2010-03-14 17:30 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
This adds the "System z compatibility software" group to the Red Hat Enterprise Linux installer and kickstart process. These packages provide tuning and compatibility support with most frequently installed applications on System z. For RHEL 5.4, these packages are: - compat-gcc-295 - compat-gcc-296 - compat-gcc-32 - compat-gcc-34 - compat-gcc-34-c++ - compat-gcc-34-g77 - compat-glibc - compat-libstdc++-295 - compat-libstdc++-33 - gtk+
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 08:01:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to comps file by konradr (2.19 KB, patch)
2007-05-25 11:41 EDT, Brad Hinson
no flags Details | Diff

  None (edit)
Description Brad Hinson 2007-05-25 11:41:51 EDT
Description of problem:
Most Linux customers that purchase System z also usually purchase software which
is dependent on compat-* libraries and Java.   Those packages (compat-*, Java)
are not by default installed and require the customer to install them manually.
How about a new install group, and for lack of better name, titled “System z
tuning and compatibility software” which would be _ONLY_ available on System z.
This would make it easier for customers to use RHEL on System z as the install
base would have a centralized location for compat-* software.
Comment 1 Brad Hinson 2007-05-25 11:41:53 EDT
Created attachment 155460 [details]
Patch to comps file by konradr
Comment 2 RHEL Product and Program Management 2008-01-29 15:35:45 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 James Laska 2008-08-07 14:34:51 EDT
Question about the proposed patch:

+    <default>true</default>

Do we really want this enabled by default for *all* s390x installs.  It seems the preference would be to make it selectable for *all* s390x installs, and use kickstart "@systemz-tools" in your %packages section.
Comment 10 Brad Hinson 2008-08-21 15:23:16 EDT
In response to comment 8:

Yes, I agree.  It would be better to have a group like "@System z compatibility" that is selectable, but not installed by default.
Comment 13 Dennis Gregorovic 2009-05-22 23:53:01 EDT
# grep "<name>System z" RHEL5.4-Server-20090522.0/5/*/os/*/repodata/comps*
RHEL5.4-Server-20090522.0/5/s390x/os/Server/repodata/comps-rhel5-server-core.xml:    <name>System z compatiblity software</name>
# grep -h -A 5 "<name>System z" RHEL5.4-Server-20090522.0/5/*/os/*/repodata/comps*
    <name>System z compatiblity software</name>
    <description>These packages provide tuning and compatibility support with most frequently installed applications on System z.</description>
    <default>false</default>
    <uservisible>true</uservisible>
    <packagelist>
      <packagereq type='default'>compat-gcc-295</packagereq>
Comment 15 Alexander Todorov 2009-06-19 07:11:41 EDT
for -0611.0 build:

  <group>
    <id>systemz-tools</id>
    <name>System z compatiblity software</name>
    <description>These packages provide tuning and compatibility support with most frequently installed applications on System z.</description>
    <default>false</default>
    <uservisible>true</uservisible>
    <packagelist>
      <packagereq type='default'>compat-gcc-295</packagereq>
      <packagereq type='default'>compat-gcc-296</packagereq>
      <packagereq type='default'>compat-gcc-32</packagereq>
      <packagereq type='default'>compat-gcc-34</packagereq>
      <packagereq type='default'>compat-gcc-34-c++</packagereq>
      <packagereq type='default'>compat-gcc-34-g77</packagereq>
      <packagereq type='default'>compat-glibc</packagereq>
      <packagereq type='default'>compat-libstdc++-295</packagereq>
      <packagereq type='default'>compat-libstdc++-33</packagereq>
      <packagereq type='optional'>gtk+</packagereq>
    </packagelist>
  </group>

$ ls -1 compat-gcc* compat-glibc-* compat-libstdc++-* gtk+-*
compat-gcc-34-3.4.6-4.s390x.rpm
compat-gcc-34-c++-3.4.6-4.s390x.rpm
compat-gcc-34-g77-3.4.6-4.s390x.rpm
compat-glibc-2.3.4-2.26.s390.rpm
compat-glibc-2.3.4-2.26.s390x.rpm
compat-glibc-headers-2.3.4-2.26.s390x.rpm
compat-libstdc++-295-2.95.3-85.s390.rpm
compat-libstdc++-295-2.95.3-85.s390x.rpm
compat-libstdc++-33-3.2.3-61.s390.rpm
compat-libstdc++-33-3.2.3-61.s390x.rpm
gtk+-1.2.10-56.el5.s390.rpm
gtk+-1.2.10-56.el5.s390x.rpm
gtk+-devel-1.2.10-56.el5.s390.rpm
gtk+-devel-1.2.10-56.el5.s390x.rpm

Observations:
1) Group text is not translated but I guess that comes at a later stage.
2) Listed packages compat-gcc-295, compat-gcc-296 and compat-gcc-32 are not present in the Server/ repository.
3) This group is not added to category base-system which shows other legacy packages groups. I suspect it will not be visible in Anaconda UI, only selectable in kickstart.

Moving back to assigned based on 2) and 3).
Comment 16 Dennis Gregorovic 2009-06-26 15:23:41 EDT
Fixes for #2 and #3 checked into CVS and should be available in the next nightly.
Comment 17 Martin Banas 2009-07-01 04:41:14 EDT
for -20090701.nightly build:

2) packages compat-gcc-296 and compat-gcc-32 still not present

Packages in System z compatibility software group:
compat-db-4.2.52-5.1.s390.rpm
compat-db-4.2.52-5.1.s390x.rpm
compat-gcc-34-3.4.6-4.s390x.rpm
compat-gcc-34-c++-3.4.6-4.s390x.rpm
compat-gcc-34-g77-3.4.6-4.s390x.rpm
compat-glibc-2.3.4-2.26.s390.rpm
compat-glibc-2.3.4-2.26.s390x.rpm
compat-glibc-headers-2.3.4-2.26.s390x.rpm
compat-libf2c-34-3.4.6-4.s390.rpm
compat-libf2c-34-3.4.6-4.s390x.rpm
compat-libgcc-295-2.95.3-85.s390.rpm
compat-libgcc-295-2.95.3-85.s390x.rpm
compat-libstdc++-295-2.95.3-85.s390.rpm
compat-libstdc++-295-2.95.3-85.s390x.rpm
compat-libstdc++-33-3.2.3-61.s390.rpm
compat-libstdc++-33-3.2.3-61.s390x.rpm
gtk+-1.2.10-56.el5.s390.rpm
gtk+-1.2.10-56.el5.s390x.rpm
gtk+-devel-1.2.10-56.el5.s390.rpm
gtk+-devel-1.2.10-56.el5.s390x.rpm

3) group is properly added to category base-system and is visible via UI. 

Moving back to assigned
Comment 18 Martin Banas 2009-07-01 05:32:05 EDT
sorry, according to comps-rhel5-server-core.xml #2 is fixed..

build -20090701.nightly

<group>
<id>systemz-tools</id>
<name>System z compatiblity software</name>
−
<description>
These packages provide tuning and compatibility support with most frequently installed applications on System z.
</description>
<default>false</default>
<uservisible>true</uservisible>
−
<packagelist>
<packagereq type="default">compat-db</packagereq>
<packagereq type="default">compat-gcc-34</packagereq>
<packagereq type="default">compat-gcc-34-c++</packagereq>
<packagereq type="default">compat-gcc-34-g77</packagereq>
<packagereq type="default">compat-glibc</packagereq>
<packagereq type="default">compat-glibc-headers</packagereq>
<packagereq type="default">compat-libf2c-34</packagereq>
<packagereq type="default">compat-libgcc-295</packagereq>
<packagereq type="default">compat-libstdc++-295</packagereq>
<packagereq type="default">compat-libstdc++-33</packagereq>
<packagereq type="optional">gtk+</packagereq>
</packagelist>
</group>


Should be the group text translated now or in the later stage?

Moving to assigned to get info about the translation.
Comment 19 Alexander Todorov 2009-07-01 07:48:14 EDT
Martin,
IIRC comps translation is done at later stage and then translations are merged in the xml file. They should have no effect on group behavior.
Comment 20 Martin Banas 2009-07-01 08:01:47 EDT
changing the status to verified.
Comment 21 Shawn Wells 2009-07-08 17:48:26 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
This adds the "System z compatiblity software" group to the Red Hat Enterprise Linux installer and kickstart process.  These packages provide tuning and compatibility support with most frequently installed applications on System z.

For RHEL 5.4, these packages are:
 - compat-gcc-295
 - compat-gcc-296
 - compat-gcc-32
 - compat-gcc-34
 - compat-gcc-34-c++
 - compat-gcc-34-g77
 - compat-glibc
 - compat-libstdc++-295
 - compat-libstdc++-33
 - gtk+
Comment 22 Shawn Wells 2009-07-08 17:49:01 EDT
fixing a typo
Comment 23 Shawn Wells 2009-07-08 17:49:01 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,4 +1,4 @@
-This adds the "System z compatiblity software" group to the Red Hat Enterprise Linux installer and kickstart process.  These packages provide tuning and compatibility support with most frequently installed applications on System z.
+This adds the "System z compatibility software" group to the Red Hat Enterprise Linux installer and kickstart process.  These packages provide tuning and compatibility support with most frequently installed applications on System z.
 
 For RHEL 5.4, these packages are:
  - compat-gcc-295
Comment 26 errata-xmlrpc 2009-09-02 08:01:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1400.html

Note You need to log in before you can comment on or make changes to this bug.